/*=============================================================================
Turing Machine Debugger
  Copyright (C) Jan Engelhardt <jengelh [at] linux01 gwdg de>, 2004
  -- License restrictions apply (Dual FAL/GPL2)
  -- For details see doc/FAL.txt and doc/GPL2.txt.
=============================================================================*/
#include <stdio.h>
#include <string.h>
#include "ops.h"
#include "mach.hpp"

//-----------------------------------------------------------------------------
Machine::Machine(struct iop (*aop)[MAX_CHARBIT]) {
    state = 0;
    iic   = 0;
    ops   = aop;
    return;
}

char Machine::out(char in) {
    return ops[state][in].out_byte;
}

char Machine::mov(char in) {
    return ops[state][in].movement;
}

int Machine::next(char in) {
    return ops[state][in].new_state;
}

int Machine::tick(char in) {
    ++iic;
    return state = ops[state][in].new_state;
}

//==[ End of file ]============================================================
