/*=============================================================================
Turing Machine Debugger
  Copyright (C) Jan Engelhardt <jengelh [at] linux01 gwdg de>, 2004
  -- License restrictions apply (Dual FAL/GPL2)
  -- For details see doc/FAL.txt and doc/GPL2.txt.
=============================================================================*/
#ifndef MACH_HPP
#define MACH_HPP 1

#include "ops.h"
#include "tape.hpp"

class Machine {
  public:
    Machine(struct iop (*)[MAX_CHARBIT] = NULL);
    char out(char);
    char mov(char);
    int next(char); // peek at the next state
    int tick(char); // change to the next state

    int state;
    int iic;

  private:
    struct iop (*ops)[MAX_CHARBIT];
};

#endif // MACH_HPP

//==[ End of file ]============================================================
