/*=============================================================================
Turing Machine Debugger
  Copyright (C) Jan Engelhardt <jengelh [at] linux01 gwdg de>, 2004
  -- License restrictions apply (Dual FAL/GPL2)
  -- For details see doc/FAL.txt and doc/GPL2.txt.
=============================================================================*/
#ifndef OPS_H
#define OPS_H 1

#ifdef __cplusplus
extern "C" {
#endif

#include <sys/types.h>

#define MAX_STATES  256
#define MAX_CHARBIT 128

struct iop {
    char out_byte, movement;
    int new_state;
};

struct md {
    const char *name;
    struct iop (*ops)[MAX_CHARBIT];
};

extern struct md Machtypes[];
extern const size_t MACHTYPES_NUM;

#ifdef __cplusplus
} // extern "C"
#endif

#endif // OPS_H

//==[ End of file ]============================================================
