/*=============================================================================
Turing Machine Debugger
  Copyright (C) Jan Engelhardt <jengelh [at] linux01 gwdg de>, 2004
  -- License restrictions apply (Dual FAL/GPL2)
  -- For details see doc/FAL.txt and doc/GPL2.txt.
=============================================================================*/
#include <errno.h>
#include <string.h>
#include <libHX.h>
#include "tape.hpp"

//-----------------------------------------------------------------------------
Tape::Tape(const char *s, int p) {
    data = NULL;
    HX_strclone(&data, s);
    pos = p;
    return;
}

char Tape::read(void) {
    return data[pos];
}

void Tape::write(char c) {
    data[pos] = c;
    return;
}

int Tape::movl(void) {
    if(--pos < 0) {
        ++pos;
        return 0;
    }
    return 1;
}

int Tape::movr(void) {
    if(++pos >= strlen(data)) {
        --pos;
        return 0;
    }
    return 1;
}

//==[ End of file ]============================================================
